# Ejercicios funciones matemáticas

#a

x <- seq (-5,2, length.out= 1000)
y <- x*(x+4)^2
plot (x,y,type='p',cex=0.02, col= 'sienna4')

#b

x <- seq (0,10, by= 0.001)
   #desde 0 porque hay una raiz
y <- (x-sqrt(x))
plot (x,y,type='l')

#c

tres <- function (x) log(x)/x
curve(tres, from= 0.1, to=5, xlab=expression(x), ylab= expression(y), ylim= c(-2,3),
       main= expression((log(x)/x)))
      
       abline (h=0, col='red')

#d

d <- function (x) {
  x/(x+1)
}

curve(d,-10,-1,col='red',xlim=c(-10,10), ylim=c(-10,10))
curve (d,-1,10, col='blue', add=T)

#e

x <- c(seq(-100,-1),seq(1,100))
y <- function(x) sin(1/x)
y <- y(x)

plot(x,y, type='l',  xlab= expression(x), ylab= expression(y), col='purple',
     main=expression(sin(1/x) )    # Línea roja y continua
    

#f

x <- seq(-10,10, length.out=200)
y <- x/(exp(abs(x-1)))
plot (x,y, type= 'l', xlab= expression(x), ylab= expression(y), col= 118)
grid()

#g



#h

fun <- function(x) {
  sol <- if else(x<=-1, (-x),
         if else (x<0,
         if else (x<=2, -1, (-x^2))))
}
curve (fun,-10,1,col='red', xlim=c(-10,10),
       ylim= c(-50,10), xlab=expression(x),ylab=expression(y))
curve(fun,-0,2,col='blue', add=T)
curve(fun,2,10,col='brown', add=T)
    

#i

x <- seq(-5,5,0.001)
y <- function(x) ifelse(x < -1,(1-x)^(1/2),
                        ifelse (x<1, (1-(x^2)),(x-1)^(1/2)))
plot (y,-1,2, col='blue', xlim=c(-1,5), ylim=c(-1,2))
      plot (y,-1,1, col='red',add=TRUE)
      plot (y,1,5, col='green',add=TRUE)

#j



#k

f1 <- function(x) {
   sol <- x+sqrt(x^2-1)
}
curve (f1,-5,-1,col='blue', xlim=c(-5,5), ylim=c(-10,10),
    main=expression(x+sqrt(x^2+1)))
      
curve(f1,1,5,col='green', add=T)

#l

f <- function(x) (log(x+1))/(x+1) 
curve (f,from= -1, to= 30, col='pink',
    xlab=expression(x), ylab=expression(y), xlim=c(0,20), ylim=c(-1,2),
    main= expression(log(x+1)/(x+1)))

#m

x <- seq(-10,10,length.out=1000)
y <- 240*x*(3*x^4-10*x^2+3)/(x^2+1)^6

plot(x,y,xlab=expression(x), ylab= expression(y),
     xlim=c(-3,3), type='l', col='purple')

