Listas
.	1 Introduccin
.	2 Referencia en una lista
o	2.1 La funcin (operador) [:
                               o	2.2 La funcin (operador) [[ (para listas):
                                                                o	2.3 La funcin (operador) '$' (para listas con nombre):
                                                                .	3 Extraer mltiples elementos de una lista
                                                              .	4 Aadir y eliminar elementos en una lista
                                                              o	4.1 Nombres en las listas
                                                              ???	4.1.1 Funcin unlist()
                                                              .	5 Funciones Apply en listas
                                                              .	6 Listas de listas
                                                              1 Introduccin
                                                              Una lista en R es una estructura ordenada de objetos de R, estos objetos pueden ser vectores, matrices, otras listas (incluso data frame que es un tipo especial de lista).
                                                              Tcnicamente una lista es un vector pero a diferencia del vector cada elemento de la lista puede ser cualquier tipo de objeto de R. Esto permite que cada objeto sea de un tipo (modo) cualquiera y tenga cualquier longitud. Por ejemplo, una lista puede estar formada por un vector numrico de tamao 2, un valor lgico (vector de tamao 1), un vector de tamao 3, una matriz y un vector lgico. Las listas se crean con la funcin list()y enumerando los diferentes objetos que van a componer la lista o bien concatenado otras listas.
                                                              Veamos un ejemplo.
                                                              Se va a crear una lista con tres elementos:
                                                                .	Una matriz numrica
                                                              .	Una vector booleano
                                                              .	Un vector de caracteres
                                                              L <- list (matrix(1:6,ncol=2),   # Matriz nu mrica
                                                                         c(T,F),               # vector booleano
                                                                         c("Buenos", "Das"))  # Vector de caracteres
                                                              L
                                                              ## [[1]]
                                                              ##      [,1] [,2]
                                                              ## [1,]    1    4
                                                              ## [2,]    2    5
                                                              ## [3,]    3    6
                                                              ## 
                                                              ## [[2]]
                                                              ## [1]  TRUE FALSE
                                                              ## 
                                                              ## [[3]]
                                                              ## [1] "Buenos" "Das"
                                                              Las principales funciones asociadas a las listas son:
                                                                .	list(...)
                                                              .	as.list(x, ...)
                                                              .	is.list(x)
                                                              .	unlist(.)
                                                              Los miembros de una lista estn indexados y pueden accederse a ellos. En el caso de las listas la indexacin se realiza por medio de dobles corchetes [[]].
                                                              De esta forma el primer elemento es una matriz,
                                                              L[[1]]
                                                              ##      [,1] [,2]
                                                              ## [1,]    1    4
                                                              ## [2,]    2    5
                                                              ## [3,]    3    6
                                                              class(L[[1]])
                                                              ## [1] "matrix"
                                                              El segundo es un vector lgico,
                                                              L[[2]]
                                                              ## [1]  TRUE FALSE
                                                              class(L[[2]])
                                                              ## [1] "logical"
                                                              El tercero un vector numrico,
                                                              L[[3]]
                                                              ## [1] "Buenos" "Das"
                                                              class(L[[3]])
                                                              ## [1] "character"
                                                              Hay una serie de funciones que al aplicarlas sobre una lista tienen un comportamiento distinto al visto hasta ahora. Sin embargo, otras funciones se comportan como se espera.
                                                              La funcin length() aplicada a una lista devuelve el nmero de miembros (de primer nivel).
                                                              La funcin names() permite asignar nombres a los miembros de una lista.
                                                              names(L) <-c("datos","respuestas","saludo")
                                                              L
                                                              ## $datos
                                                              ##      [,1] [,2]
                                                              ## [1,]    1    4
                                                              ## [2,]    2    5
                                                              ## [3,]    3    6
                                                              ## 
                                                              ## $respuestas
                                                              ## [1]  TRUE FALSE
                                                              ## 
                                                              ## $saludo
                                                              ## [1] "Buenos" "Das"
                                                              2 Referencia en una lista
                                                              Hay diferentes formas de referenciar o extraer elementos de una lista de R (en general de cualquier objeto de R).
                                                              1 La funcin [ 2 La funcin [[ 3 la funcin $
                                                                                               2.1 La funcin (operador) [:
                                                                                                                            El operador corchete devuelve (casi) siempre un objeto de la misma clase que el original. Aplicado a un vector devuelve un vector.
                                                                                                                          # Ejemplo 1: Vector
                                                                                                                          x <- seq(1:10)
                                                                                                                          is.vector(x)
                                                                                                                          ## [1] TRUE
                                                                                                                          y <- x[c(3,7)]
                                                                                                                          is.vector(y)
                                                                                                                          ## [1] TRUE
                                                                                                                          Aplicado a una matriz devuelve . un vector.
                                                                                                                          # Ejemplo 2: Matriz seleccionar una fila
                                                                                                                          m1 <- matrix(seq(1,10), ncol=2)
                                                                                                                          is.matrix(m1)
                                                                                                                          ## [1] TRUE
                                                                                                                          m2 <- m1[1,]
                                                                                                                          is.matrix(m2)
                                                                                                                          ## [1] FALSE
                                                                                                                          salvo que se use la opcin drop=FALSE (utiliza ?'[')
                                                                                                                          Ejemplo 3: Matriz
                                                                                                                          m1 <- matrix(seq(1,10), ncol=2)
                                                                                                                          is.matrix(m1)
                                                                                                                          ## [1] TRUE
                                                                                                                          m2 <- m1[1,, drop=FALSE]
                                                                                                                          is.matrix(m2)
                                                                                                                          ## [1] TRUE
                                                                                                                          aunque si se extrae una sub-matriz el resultado es una matriz.
                                                                                                                          # Ejemplo 4: Matriz
                                                                                                                          m1 <- matrix(seq(1,10), ncol=2)
                                                                                                                          is.matrix(m1)
                                                                                                                          ## [1] TRUE
                                                                                                                          m2 <- m1[c(1,4),]
                                                                                                                          is.matrix(m2)
                                                                                                                          ## [1] TRUE
                                                                                                                          Al aplicarlo a una lista el resultado es una sub-lista de menor longitud.
                                                                                                                          # Ejemplo 5: Lista
                                                                                                                          L <- list (matrix(1:6,ncol=2), c(T,F),
                                                                                                                                     c("Buenos", "D?as"))
                                                                                                                          names(L) <-c("datos","sespuestas","saludo")
                                                                                                                          LL <- L[c(1,3)]
                                                                                                                          is.list(LL)
                                                                                                                          ## [1] TRUE
                                                                                                                          LL
                                                                                                                          ## $datos
                                                                                                                          ##      [,1] [,2]
                                                                                                                          ## [1,]    1    4
                                                                                                                          ## [2,]    2    5
                                                                                                                          ## [3,]    3    6
                                                                                                                          ## 
                                                                                                                          ## $saludo
                                                                                                                          ## [1] "Buenos" "D?as"
                                                                                                                          2.2 La funcin (operador) [[ (para listas):
                                                                                                                                                         El operador doble corchete devuelve un objeto aunque no necesariamente de la misma clase que el original.
                                                                                                                                                       # Ejemplo 6: Lista
                                                                                                                                                       L <- list (matrix(1:6,ncol=2), c(T,F),
                                                                                                                                                                  c("Buenos", "D?as"))
                                                                                                                                                       names(L) <-c("datos","respuestas","saludo")
                                                                                                                                                       L2 <- L[[2]]
                                                                                                                                                       is.list(L2)
                                                                                                                                                       ## [1] FALSE
                                                                                                                                                       is.vector(L2)
                                                                                                                                                       ## [1] TRUE
                                                                                                                                                       2.3 La funcin (operador) '$' (para listas con nombre):
                                                                                                                                                         Una vez que una lista tiene nombre se puede hacer referencia a los miembros de la lista por medio de los nombres o de los corchetes.
                                                                                                                                                       El operador $ es equivalente al doble corchete [[ y devuelve un objeto aunque no necesariamente de la misma clase que el original.
                                                                                                                                                                                                         # Ejemplo 7: Lista
                                                                                                                                                                                                         L <- list (matrix(1:6,ncol=2), c(T,F),
                                                                                                                                                                                                                    c("Buenos", "D?as"))
                                                                                                                                                                                                         names(L) <-c("datos","respuestas","saludo")
                                                                                                                                                                                                         L2 <- L$respuesta
                                                                                                                                                                                                         is.list(L2)
                                                                                                                                                                                                         ## [1] FALSE
                                                                                                                                                                                                         is.vector(L2)
                                                                                                                                                                                                         ## [1] TRUE
                                                                                                                                                                                                         3 Extraer mltiples elementos de una lista
                                                                                                                                                                                                         Utilizando doble corchetes.
                                                                                                                                                                                                         # Ejemplo 8: Lista
                                                                                                                                                                                                         L <- list (matrix(1:6,ncol=2), c(T,F),
                                                                                                                                                                                                                    c("Buenos", "D?as"))
                                                                                                                                                                                                         names(L) <-c("datos","respuestas","saludo")
                                                                                                                                                                                                         L3 <- L[c(1,3)]
                                                                                                                                                                                                         L3
                                                                                                                                                                                                         ## $datos
                                                                                                                                                                                                         ##      [,1] [,2]
                                                                                                                                                                                                         ## [1,]    1    4
                                                                                                                                                                                                         ## [2,]    2    5
                                                                                                                                                                                                         ## [3,]    3    6
                                                                                                                                                                                                         ## 
                                                                                                                                                                                                         ## $saludo
                                                                                                                                                                                                         ## [1] "Buenos" "D?as"
                                                                                                                                                                                                         El operador [[ puede calcular ?ndices, mientras que $ nicamente se puede utilizar con literales.
                                                                                                                                                                                                                        Ejemplo 9: Lista
                                                                                                                                                                                                                        L <- list(datos = matrix(1:6,ncol=2), 
                                                                                                                                                                                                                                  respuestas=c(TRUE,FALSE),
                                                                                                                                                                                                                                  saludo=c("Buenos", "D?as"))
                                                                                                                                                                                                                        
                                                                                                                                                                                                                        nombre <- "saludo"
                                                                                                                                                                                                                        L[[nombre]]
                                                                                                                                                                                                                        ## [1] "Buenos" "D?as"
                                                                                                                                                                                                                        sin embargo,
                                                                                                                                                                                                                        L$nombre
                                                                                                                                                                                                                        ## NULL
                                                                                                                                                                                                                        NULL
                                                                                                                                                                                                                        ## NULL
                                                                                                                                                                                                                        L$saludo
                                                                                                                                                                                                                        ## [1] "Buenos" "D?as"
                                                                                                                                                                                                                        El operador [[ permite elegir un elemento determinado dentro de uno de los miembros de la lista.
                                                                                                                                                                                                                                       x <- list(a = list(10, 12, 14), b = c(3.14, 2.81))
                                                                                                                                                                                                                                       x[[c(1, 3)]]
                                                                                                                                                                                                                                       ## [1] 14
                                                                                                                                                                                                                                       x <- list(a = list(10, 12, 14), b = c(3.14, 2.81))
                                                                                                                                                                                                                                       x[[c(1, 3)]]
                                                                                                                                                                                                                                       ## [1] 14
                                                                                                                                                                                                                                       x[[1]][[3]]
                                                                                                                                                                                                                                       ## [1] 14
                                                                                                                                                                                                                                       x[[1]][[3]]
                                                                                                                                                                                                                                       ## [1] 14
                                                                                                                                                                                                                                       x[[c(2, 1)]]
                                                                                                                                                                                                                                       ## [1] 3.14
                                                                                                                                                                                                                                       x[[c(2, 1)]]
                                                                                                                                                                                                                                       ## [1] 3.14
                                                                                                                                                                                                                                       El operador [[ permite utilizar nombres parciales para seleccionar elementos
                                                                                                                                                                                                                                                      # Ejemplo 10: Lista
                                                                                                                                                                                                                                                      lista <- list(abcd=c(1,5,7,9), mensual=c("enero","abril"))
                                                                                                                                                                                                                                                      lista$a
                                                                                                                                                                                                                                                      ## [1] 1 5 7 9
                                                                                                                                                                                                                                                      lista[["a"]]
                                                                                                                                                                                                                                                      ## NULL
                                                                                                                                                                                                                                                      lista[["a", exact=FALSE]]
                                                                                                                                                                                                                                                      ## [1] 1 5 7 9
                                                                                                                                                                                                                                                      4 Aadir y eliminar elementos en una lista
                                                                                                                                                                                                                                                      Para aadir un nuevo elemento a una lista hay varias posibilidades. Por referencia al nuevo elemento. Sea la lista,
                                                                                                                                                                                                                                                      lista1 <- list(a="abc", b=1521)
                                                                                                                                                                                                                                                      lista1
                                                                                                                                                                                                                                                      ## $a
                                                                                                                                                                                                                                                      ## [1] "abc"
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $b
                                                                                                                                                                                                                                                      ## [1] 1521
                                                                                                                                                                                                                                                      # Aadir un nuevo componente
                                                                                                                                                                                                                                                      lista1$nuevo <- matrix(1:15, ncol=3)
                                                                                                                                                                                                                                                      lista1
                                                                                                                                                                                                                                                      ## $a
                                                                                                                                                                                                                                                      ## [1] "abc"
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $b
                                                                                                                                                                                                                                                      ## [1] 1521
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $nuevo
                                                                                                                                                                                                                                                      ##      [,1] [,2] [,3]
                                                                                                                                                                                                                                                      ## [1,]    1    6   11
                                                                                                                                                                                                                                                      ## [2,]    2    7   12
                                                                                                                                                                                                                                                      ## [3,]    3    8   13
                                                                                                                                                                                                                                                      ## [4,]    4    9   14
                                                                                                                                                                                                                                                      ## [5,]    5   10   15
                                                                                                                                                                                                                                                      Modo vector
                                                                                                                                                                                                                                                      lista1[[4]] <- c(1, 3, 7, 9)
                                                                                                                                                                                                                                                      lista1
                                                                                                                                                                                                                                                      ## $a
                                                                                                                                                                                                                                                      ## [1] "abc"
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $b
                                                                                                                                                                                                                                                      ## [1] 1521
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $nuevo
                                                                                                                                                                                                                                                      ##      [,1] [,2] [,3]
                                                                                                                                                                                                                                                      ## [1,]    1    6   11
                                                                                                                                                                                                                                                      ## [2,]    2    7   12
                                                                                                                                                                                                                                                      ## [3,]    3    8   13
                                                                                                                                                                                                                                                      ## [4,]    4    9   14
                                                                                                                                                                                                                                                      ## [5,]    5   10   15
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## [[4]]
                                                                                                                                                                                                                                                      ## [1] 1 3 7 9
                                                                                                                                                                                                                                                      Para borrar un elemento de una lista se puede emplear los mismos mtodos
                                                                                                                                                                                                                                                      lista1$b <- NULL
                                                                                                                                                                                                                                                      lista1
                                                                                                                                                                                                                                                      ## $a
                                                                                                                                                                                                                                                      ## [1] "abc"
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $nuevo
                                                                                                                                                                                                                                                      ##      [,1] [,2] [,3]
                                                                                                                                                                                                                                                      ## [1,]    1    6   11
                                                                                                                                                                                                                                                      ## [2,]    2    7   12
                                                                                                                                                                                                                                                      ## [3,]    3    8   13
                                                                                                                                                                                                                                                      ## [4,]    4    9   14
                                                                                                                                                                                                                                                      ## [5,]    5   10   15
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## [[3]]
                                                                                                                                                                                                                                                      ## [1] 1 3 7 9
                                                                                                                                                                                                                                                      lista1
                                                                                                                                                                                                                                                      ## $a
                                                                                                                                                                                                                                                      ## [1] "abc"
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## $nuevo
                                                                                                                                                                                                                                                      ##      [,1] [,2] [,3]
                                                                                                                                                                                                                                                      ## [1,]    1    6   11
                                                                                                                                                                                                                                                      ## [2,]    2    7   12
                                                                                                                                                                                                                                                      ## [3,]    3    8   13
                                                                                                                                                                                                                                                      ## [4,]    4    9   14
                                                                                                                                                                                                                                                      ## [5,]    5   10   15
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## [[3]]
                                                                                                                                                                                                                                                      ## [1] 1 3 7 9
                                                                                                                                                                                                                                                      4.1 Nombres en las listas
                                                                                                                                                                                                                                                      Se pueden nombrar los elementos de la lista por medio de la funcin names().
                                                                                                                                                                                                                                                      4.1.1 Funcin unlist()
                                                                                                                                                                                                                                                      Permite recuperar los valores de una lista.
                                                                                                                                                                                                                                                      5 Funciones Apply en listas
                                                                                                                                                                                                                                                      Las funciones de la familia *apply permiten aplicar automticamente e independientemente una funcin a los diferentes elementos de una lista.
                                                                                                                                                                                                                                                      En particular hay dos funciones *apply para trabajar con listas:
                                                                                                                                                                                                                                                        .	lapply() Es como la funcin apply pero aplicado a las listas
                                                                                                                                                                                                                                                      .	sapply() Es una versin de lapply que intenta devolver el objeto ms sencillo posible.
                                                                                                                                                                                                                                                      Su sintaxis es,
                                                                                                                                                                                                                                                      lapply(x, FUN, .) sapply(x, FUN, .)
                                                                                                                                                                                                                                                      donde,
                                                                                                                                                                                                                                                      Argumentos	
                                                                                                                                                                                                                                                      x	es la lista con la que se trabaja
                                                                                                                                                                                                                                                      FUN	es la funcin con la que se trabaja
                                                                                                                                                                                                                                                      .	los tres puntos representan argumentos que son necesarios dependiendo de la funcin
                                                                                                                                                                                                                                                      De forma general,la funcin lapply() devuelve el resultado en una lista mientras que la funcin saplly() devuelve la salida en el objeto ms sencillo que pueda contenerla.
                                                                                                                                                                                                                                                      6 Listas de listas
                                                                                                                                                                                                                                                      Observar el siguiente ejemplo,
                                                                                                                                                                                                                                                      a <- list(h=5, 12)
                                                                                                                                                                                                                                                      b <- list(s <- c("uno","dos"))
                                                                                                                                                                                                                                                      c <- list(matrix(1:15, ncol=3))
                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                      lista2 <- list(a, b,c)
                                                                                                                                                                                                                                                      lista2
                                                                                                                                                                                                                                                      ## [[1]]
                                                                                                                                                                                                                                                      ## [[1]]$h
                                                                                                                                                                                                                                                      ## [1] 5
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## [[1]][[2]]
                                                                                                                                                                                                                                                      ## [1] 12
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## [[2]]
                                                                                                                                                                                                                                                      ## [[2]][[1]]
                                                                                                                                                                                                                                                      ## [1] "uno" "dos"
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## 
                                                                                                                                                                                                                                                      ## [[3]]
                                                                                                                                                                                                                                                      ## [[3]][[1]]
                                                                                                                                                                                                                                                      ##      [,1] [,2] [,3]
                                                                                                                                                                                                                                                      ## [1,]    1    6   11
                                                                                                                                                                                                                                                      ## [2,]    2    7   12
                                                                                                                                                                                                                                                      ## [3,]    3    8   13
                                                                                                                                                                                                                                                      ## [4,]    4    9   14
                                                                                                                                                                                                                                                      ## [5,]    5   10   15
                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                      